﻿using System;
using CommandLine;
using CommandLine.Text;

namespace com.alu.ot.ics.api.samples
{
    /// <summary>
    /// Container for all needed options provided at startup.
    /// </summary>
    public class Options
    {
        /// <summary>The host</summary>
        [Option("host", Required = true, HelpText = "The server to use for the test. [Required]")]
        public String host { get; set; }

        /// <summary>The caller login</summary>
        [Option("A.login", Required = true, HelpText = "The caller login. [Required]")]
        public String callerLogin { get; set; }

        /// <summary>The caller password</summary>
        [Option("A.pwd", Required = true, HelpText = "The caller password. [Required]")]
        public String callerPwd { get; set; }

        /// <summary>The caller company phone number</summary>
        [Option("A.number", Required = true, HelpText = "The caller company phone. [Required]")]
        public String callerNb { get; set; }

        /// <summary>The caller device number used for outgoing calls</summary>
        [Option("A.dev", Required = true, HelpText = "The caller device number. [Required]")]
        public String callerDevice { get; set; }

        /// <summary>The callee login</summary>
        [Option("B.login", Required = true, HelpText = "The callee login. [Required]")]
        public String calleeLogin { get; set; }

        /// <summary>The callee password</summary>
        [Option("B.pwd", Required = true, HelpText = "The callee password. [Required]")]
        public String calleePwd { get; set; }

        /// <summary>The callee company phone number</summary>
        [Option("B.number", Required = true, HelpText = "The callee company phone. [Required]")]
        public String calleeNb { get; set; }

        /// <summary>The callee device number used for incoming calls</summary>
        [Option("B.dev", Required = true, HelpText = "The callee device number. [Required]")]
        public String calleeDevice { get; set; }

        /// <summary>
        /// Help
        /// </summary>
        /// <returns></returns>
        [HelpOption]
        public string GetUsage()
        {
            return HelpText.AutoBuild(this,
              (HelpText current) => HelpText.DefaultParsingErrorsHandler(this, current));
        }
    }
}
